JGroupsPropertiesBroadcastEndpoint (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core

## Class JGroupsPropertiesBroadcastEndpoint

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint
  - - org.apache.activemq.artemis.api.core.JGroupsPropertiesBroadcastEndpoint

- All Implemented Interfaces:
    BroadcastEndpoint

      public final class JGroupsPropertiesBroadcastEndpoint
      extends JGroupsBroadcastEndpoint

  This class is the implementation of ActiveMQ Artemis members discovery that will use JGroups.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint

      `JGroupsBroadcastEndpoint.JChannelManager, JGroupsBroadcastEndpoint.JChannelWrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsPropertiesBroadcastEndpoint(String properties, String channelName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgroups.JChannel` | `createChannel()`

    - ### Methods inherited from class org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint

      `broadcast, close, initChannel, internalCloseChannel, internalOpen, openBroadcaster, openClient, receiveBroadcast, receiveBroadcast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsPropertiesBroadcastEndpoint

          public JGroupsPropertiesBroadcastEndpoint(String properties,
                                                    String channelName)
                                             throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### createChannel

          public org.jgroups.JChannel createChannel()
                                             throws Exception

      Specified by:
        `createChannel` in class `JGroupsBroadcastEndpoint`
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.